' Print Strings through the BIOS

BIOSPrint "Hello World!"

SUB BIOSPrint(ToPrint$) PUBLIC

  LOCAL Temp$, X%

  Temp$ = ToPrint$ + CHR$(13,10)	' append a CR/LF to the string
  FOR X% = 1 TO LEN(Temp$)	' print one character at a time
    REG 1, &H0E00 + ASC(MID$(Temp$, X%))	' service &HE in AH, character in AL
    REG 2, 0			' video page stored in BH
    CALL INTERRUPT &H10		' call the BIOS to print it
  NEXT X%

END SUB
