' Recolor the screen

' Attr? is the new video attribute to use

SUB Recolor(Attr?) PUBLIC

  LOCAL Cells%, c%

  DIM Video AS LOCAL BYTE PTR

  ' set the pointer to the first attribute on video page 1
  IF BIT(pbvScrnCard, 1) THEN   ' color monitor
    Video = &HB8000001
  ELSE  ' monochrome monitor
    Video = &HB0000001
  END IF

  ' determine the number of cells on the screen
  Cells% = pbvScrnRows * pbvScrnCols

  ' now recolor the screen, one cell at a time
  FOR c% = 1 TO Cells%
    @Video = Attr?
    INCR Video, 2
  NEXT c%

END SUB
