' Track multiple menu items

' The Old Way:

SELECT CASE Menu%
  CASE 1
    ' define menu items here
  CASE 2
    ' define menu items here
  CASE 3
    ' define menu items here
END SELECT
Selection% = Menu%(...)
SELECT CASE Menu%
  CASE 1
    Initial1% = Selection%
  CASE 2
    Initial2% = Selection%
  CASE 3
    Initial3% = Selection%
END SELECT

' The New Way:

DIM Selected AS INTEGER PTR

SELECT CASE Menu%
  CASE 1
    ' define menu items here
    Selected = VARPTR32(Initial1%)
  CASE 2
    ' define menu items here
    Selected = VARPTR32(Initial2%)
  CASE 3
    ' define menu items here
    Selected = VARPTR32(Initial3%)
END SELECT
Selection% = Menu%(...)
@Selected = Selection%
